Issue 122394 - [sidebar]: Selector names' vertical distance to selector wrong
[sidebar]: Selector names' vertical distance to selector wrong
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All Windows 7
: P3 trivial (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-28 04:41 UTC by Rainer Bielefeld
Modified: 2013-07-11 13:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Screenshot showing problem (65.55 KB, image/png)
2013-05-28 04:41 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Rainer Bielefeld 2013-05-28 04:41:34 UTC
Created attachment 80733 [details]
Screenshot showing problem

Steps how to reproduce Reproducible with server installation of  "AOO 4.0.0-Dev – English UI / German locale [AOO400m2(Build:9701) -   Rev. 1485784 Rev.1485289 (2013-05-24)]" on WIN7 Home Premium (64bit)", Common 4.0 Trunk User Profile:

1. Open new Draw document from AOO Start Center, make Sidebar visible if
   necessary
2. Draw a short line (does not matter)
3. click into empty slide area 
   > line becomes unselected
4. Menu 'Tools -> Options -> OO -> View - Scale -> 80%' <ok>
   > UI texts become small
5. Click Line
   > Control points appear, sidebar shows many line properties
6. Menu 'Tools -> Options -> OO -> View - Scale -> 130%' <ok>
   > Text elements in Sidebar shown much bigger
   Bug: Texts of names of elements truncated at the bottom.

Additional info
---------------
a) Not a big problem, unselect -> select line heals the problem, but looks ugly.
b) also a problem in other direction from scale 130% -> 80%, immediately
   after scale has been changed selector names are far above the selectors, this
   problem also will be healed with a single unselect -> select
Comment 1 Rainer Bielefeld 2013-05-28 04:42:03 UTC
oops, wrong version
Comment 2 Oliver-Rainer Wittmann 2013-05-29 08:31:18 UTC
I can reproduce the described UI defect.

It is a general UI defect.
E.g., perform a scale change from 80% to 130% in Calc while having the navigator and the search and replace dialog open. The navigator and the search and replace dialog show the same UI glitches.
Comment 3 Oliver-Rainer Wittmann 2013-05-29 09:34:42 UTC
May be corresponding actions when handling VclWindowEvent VCLEVENT_WINDOW_DATACHANGED in <SidebarController> instance can solve this problem for the sidebar panels.
Comment 4 SVN Robot 2013-05-29 15:57:18 UTC
"af" committed SVN 0 into trunk:
122394: Force creation of new sidebar panels on DATACHANGED events.
Comment 5 Andre 2013-05-29 15:59:57 UTC
Fixed by forcing the sidebar to destroy and then create all panels anew on DATACHANGED events.  This should force most, if not all panels to format their controls correctly.